% Nolet's problem

clear all;
close all;
A = load('matrix.dat');
x = load('solution.dat');
figure(1)
plotsol( x )
title('Model solution')
%
b = A*x;

[U,S,V] = svd(A,0);
x_lsmn = soluti( b, U,S,V, 0 );
figure(2)
plotsol( x_lsmn )
title('Least Squares Minimum Norm Solution')

%

m_iter = 1000; 
eps = 1e-6; 

return

figure(3)

[x_it er res] = gauss_seidel( A, b, m_iter, eps );
title('Computed solution')

it = [0:1:length(res)-1];
figure(4)
semilogy(er)
title('Estimate error')
figure(5)
semilogy(it, res)
title('Residual norm')
hold off;
%
